<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php
/*
 * Shibboleth IdP Log viewer.
 *
 *  Jorge López Pérez <jorgelp@us.es>
 */

 include_once('config.inc.php');
 include_once('operations.inc.php');

 // Is there any IdP?
 if (empty($paths['idp_logs'])) {
	echo "No IdPs active";
	exit();
 }

 // Lines to show
 if (preg_match('/\d+/', $_GET['shib-accesslines'])) {
	$accesslines = $_GET['shib-accesslines'];
 } else {
	$accesslines = $defaultlines;
 }

 if (preg_match('/\d+/', $_GET['shib-errorlines'])) {
	$errorlines = $_GET['shib-errorlines'];
 } else {
	$errorlines = $defaultlines;
 }


?>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
 <head>
	<title>Shibboleth IdP log viewer</title>
	<script language="javascript" type="text/javascript" src="js/jquery-1.2.2.min.js"> </script>

	<script language="javascript" type="text/javascript" src="js/logs.js"> </script>
	<script language="javascript" type="text/javascript" src="js/jquery.scrollTo-min.js"> </script>
   <style type="text/css" media="all">@import "style.css";</style>
 </head>

 <body onload="javascript:scrollToBottom('shib-access')">

  <h1>Shibboleth IdP log viewer</h1>

 <?php loginterface('shib-access', $accesslines, 'idp'); ?>
 <?php loginterface('shib-error', $errorlines, 'idp'); ?>
 <?php footer(); ?>

 </body>
</html>
