<?php
/*
 * Shibboleth log reader. AJAX reader
 */

 // Check referrer to avoid accidental access
 $parts = parse_url($_SERVER['HTTP_REFERER']);
 $hosthttp = split(':', $_SERVER['HTTP_HOST']);
 if (!$parts || $parts['host'] != $hosthttp[0]) {
	 return false;
 }

 include_once('config.inc.php');
 include_once('operations.inc.php');

 // Lines to read
 $lines = $_GET['readlines'];

 if (!preg_match('/\d+/', $lines)) {
	 $lines = $defaultlines;
 }

 // Type of log readed
 $type = $_GET['readtype'];
 
 if ($type != 'idp' && $type != 'sp') {
	 $type = 'sp';
 }

echo readlog($_GET['file'] . ".log", $lines, $type);
?>
